> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailreadyai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Orders Analytics Table v1

> Fetches a paginated list of orders with analytics data.



## OpenAPI

````yaml /openapi.json get /api/v1/orders/analytics/table
openapi: 3.0.0
info:
  title: Authentication API
  description: API for user authentication and token generation
  version: 1.0.0
servers:
  - url: https://api.retailreadyai.com
    description: Production server
  - url: https://stg.retailreadyai.com
    description: Staging server
security: []
paths:
  /api/v1/orders/analytics/table:
    get:
      tags:
        - Orders
      summary: Get Orders Analytics Table v1
      description: Fetches a paginated list of orders with analytics data.
      parameters:
        - name: page
          in: query
          schema:
            type: integer
          description: >-
            If page or page_size are not provided, page will default to 1 and
            page_size will default to 10.
        - name: page_size
          in: query
          schema:
            type: integer
          description: >-
            Maximum page_size is 10. If page or page_size are not provided, page
            will default to 1 and page_size will default to 10.
        - name: created_at_from
          in: query
          schema:
            type: string
            format: date
        - name: created_at_to
          in: query
          schema:
            type: string
            format: date
        - name: ship_window_from
          in: query
          schema:
            type: string
            format: date
        - name: ship_window_to
          in: query
          schema:
            type: string
            format: date
        - name: packed_at_from
          in: query
          schema:
            type: string
            format: date
        - name: packed_at_to
          in: query
          schema:
            type: string
            format: date
        - name: retailers
          in: query
          schema:
            type: string
        - name: brands
          in: query
          schema:
            type: string
        - name: asn
          in: query
          schema:
            type: string
        - name: search
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of orders analytics table.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Orders analytics table retrieved successfully
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        total_cartons:
                          type: integer
                          example: 64
                        total_labels:
                          type: integer
                          example: 65
                        unique_labels:
                          type: integer
                          example: 65
                        order_number:
                          type: string
                          example: '0101109828'
                        total_pallets:
                          type: integer
                          example: 1
                        unique_sku_count:
                          type: integer
                          example: 1
                        order_status:
                          type: string
                          example: Staged
                        total_units:
                          type: integer
                          example: 768
                        total_vas_actions:
                          type: integer
                          example: 0
                        asn_sent_at:
                          type: string
                          format: date-time
                    example:
                      - asn_sent_at: null
                        brand: Brand1
                        total_cartons: 64
                        total_labels: 65
                        unique_labels: 65
                        order_number: '0101109828'
                        total_pallets: 1
                        retailer: Retailer1
                        unique_sku_count: 1
                        order_status: Staged
                        total_units: 768
                        total_vas_actions: 0
                      - asn_sent_at: null
                        brand: Brand1
                        total_cartons: 64
                        total_labels: 65
                        unique_labels: 65
                        order_number: '01009827'
                        total_pallets: 1
                        retailer: Retailer1
                        unique_sku_count: 1
                        order_status: Staged
                        total_units: 768
                        total_vas_actions: 0
                      - asn_sent_at: Fri, 07 Mar 2025 15:36:48 GMT
                        brand: Brand1
                        total_cartons: 2
                        total_labels: 3
                        unique_labels: 3
                        Order ID: '01019824'
                        total_pallets: 1
                        retailer: Retailer1
                        unique_sku_count: 1
                        order_status: Staged
                        total_units: 24
                        total_vas_actions: 0
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string

````